export declare class LocalStorage {
    _map: any;
    _path?: string;
    constructor(projectPath?: any);
    getItem(key: any): any;
    setItem(key: any, value: any): void;
    removeItem(key: any): void;
}
export declare class TCBAPICloudApiService {
    _httpProfile?: {
        protocol: string;
        httpEndpoint: string;
        url: string;
        timeout?: number;
        headers: Record<string, string>;
    };
    _env: string;
    _serviceType: string;
    _version: string;
    _uin?: string;
    _username: string;
    _password: string;
    _accessToken?: string;
    _refreshTokenPromise?: Promise<any> | null;
    _localstorage: any;
    private _CREDENTIAL_KEY;
    constructor(options: {
        env: string;
        service: string;
        version: string;
        apiOrigin: string;
        username: string;
        password: string;
        uin?: string;
        timeout?: number;
        endpoint?: string;
        localstorage?: any;
    });
    request(action: string, data?: Record<string, any>): Promise<any>;
    doReqeust({ url, headers: _headers, body, method }: {
        url: any;
        headers?: {} | undefined;
        body?: {} | undefined;
        method?: string | undefined;
    }, options?: {
        debug?: boolean;
    }): Promise<unknown>;
    private _isExpired;
    private _getCredentials;
    private _setCredentials;
    private _refreshToken;
}
